---
title: "Resend Webhook"
source_url: https://docs.rapyd.net/en/resend-webhook.html
lang: en
---

# Resend Webhook

Resend a webhook that was not sent successfully.

Use [List Webhooks](https://docs.rapyd.net/en/list-webhooks.md "List Webhooks") to find the IDs of webhooks. You can resend a webhook that is in status **ERR**.

### Parameters

### Request Path Parameters

- - webhook
  - The webhook ID. String starting with **wh_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - attempts
  - List of attempts at sending the webhook. Array of objects that contain the following fields:

    - - error
      - Error message received from the configured webhook destination.
    - - http_status_code
      - HTTP status code returned by the configured webhook destination.
    - - http_response_body
      - Body of the HTTP response from the configured webhook destination.
    - - http_response_headers
      - Headers of the HTTP response from the configured webhook destination, with the value received.

        - - connection
          - Control options for the connection.
        - - content-length
          - Length of the content in bytes.
        - - content-type
          - MIME type of the content.
        - - date
          - Timestamp of the response in HTTP-date format (RFC 9110).
        - - server
          - Name of the server.
- - created_at
  - Timestamp for the creation of the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - data
  - The `data` section of the webhook itself.
- - last_attempt_at
  - Timestamp of the last attempt at sending the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - next_attempt_at
  - Timestamp of the next attempt at sending the webhook. [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - status
  - Status of the webhook. One of the following values:

    - **NEW** (new) - The webhook was created and has not yet been sent successfully.
    - **CLO** (closed) - The webhook was sent successfully.
    - **ERR** (error) - Attempts were made to send the webhook, but the maximum number of retries was reached. The automatic retry process failed. The webhook was not sent.
    - **RET** (retried) - The webhook was resent.

    > **Note:**
    >
    > Inside the `data` object, some webhooks have another `status` field that refers to a different event.
- - token
  - ID of the webhook. String starting with **wh_**.
- - type
  - Internal name of the webhook type.

- /v1/webhooks/:webhook

- Resend Webhook
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/webhooks/wh_9e7d64a064e9322003fe249ef18ac0cc' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw: ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "87630b63-1013-41dd-a910-405681c333d2"
      },
      "data": {
          "token": "wh_9e7d64a064e9322003fe249ef18ac0cc",
          "type": "BENEFICIARY_CREATED",
          "data": {
              "id": "beneficiary_6fc7e1a5a7d5e0cfe464bf0d690bd13e",
              "last_name": "Doe",
              "first_name": "John",
              "country": "GB",
              "entity_type": "individual",
              "address": "456 Second Street",
              "name": "John Doe",
              "postcode": "10101",
              "city": "Anytown",
              "account_number": "BG96611020345678",
              "currency": "GBP",
              "email": "jdoe@rapyd.net",
              "identification_type": "passport",
              "identification_value": "*********",
              "bank_name": "gb_local_bank",
              "bic_swift": "IIIGGB22",
              "sort_code": "123225",
              "ach_code": "123456789"
          },
          "attempts": [],
          "status": "RET",
          "last_attempt_at": 1768814404,
          "created_at": 1768744638,
          "next_attempt_at": 1768814419
      }
  }
  ```
